<div class="xc bg-dark" >
    <div class="row ">
        <div class="">
            <h3 class="text-white ml-5" style="display: inline;"> This is Component X</h3>
            <button class="btn btn-success btn-sm ml-2 "(click)="addCompontnY()" style="display: inline;">
                <i class="fa fa-plus" aria-hidden="true"></i>
            </button>
            <table class="table table-borderless  bg-white ml-5">
                <tr *ngFor="let i of names">
                    <td>{{i.name1}}</td>
                    <td>
                        <button class="btn btn-sm btn-danger">Edit</button>
                    </td>
                </tr>
            </table>
        </div>
        
    </div>
</div>